Skip to content
Browse files

Makes Rakefile activate rdoc >= 2.5.9

Signed-off-by: Xavier Noria <fxn@hashref.com>
  • Loading branch information...
1 parent 2944a79 commit b378b19430a4d2ee54cbe7f1935fbd4f8b3b331b @spastorino spastorino committed with fxn
Showing with 8 additions and 8 deletions.
  1. +1 −1 actionmailer/Rakefile
  2. +2 −2 actionpack/Rakefile
  3. +1 −1 activemodel/Rakefile
  4. +1 −1 activerecord/Rakefile
  5. +1 −1 activeresource/Rakefile
  6. +1 −1 activesupport/Rakefile
  7. +1 −1 railties/Rakefile
View
2 actionmailer/Rakefile
@@ -1,4 +1,4 @@
-gem 'rdoc', '= 2.2'
+gem 'rdoc', '>= 2.5.9'
require 'rdoc'
require 'rake'
require 'rake/testtask'
View
4 actionpack/Rakefile
@@ -1,4 +1,4 @@
-gem 'rdoc', '= 2.2'
+gem 'rdoc', '>= 2.5.9'
require 'rdoc'
require 'rake'
require 'rake/testtask'
@@ -89,4 +89,4 @@ task :lines do
end
puts "Total: Lines #{total_lines}, LOC #{total_codelines}"
-end
+end
View
2 activemodel/Rakefile
@@ -1,6 +1,6 @@
dir = File.dirname(__FILE__)
-gem 'rdoc', '= 2.2'
+gem 'rdoc', '>= 2.5.9'
require 'rdoc'
require 'rake/testtask'
View
2 activerecord/Rakefile
@@ -1,4 +1,4 @@
-gem 'rdoc', '= 2.2'
+gem 'rdoc', '>= 2.5.9'
require 'rdoc'
require 'rake'
require 'rake/testtask'
View
2 activeresource/Rakefile
@@ -1,4 +1,4 @@
-gem 'rdoc', '= 2.2'
+gem 'rdoc', '>= 2.5.9'
require 'rdoc'
require 'rake'
require 'rake/testtask'
View
2 activesupport/Rakefile
@@ -1,4 +1,4 @@
-gem 'rdoc', '= 2.2'
+gem 'rdoc', '>= 2.5.9'
require 'rdoc'
require 'rake/testtask'
require 'rake/rdoctask'
View
2 railties/Rakefile
@@ -1,4 +1,4 @@
-gem 'rdoc', '= 2.2'
+gem 'rdoc', '>= 2.5.9'
require 'rdoc'
require 'rake'
require 'rake/testtask'

8 comments on commit b378b19

@tilsammans

How about releasing 2.3.9 now? This change alone warrants a new release don't you think?

@pwnall

Is this by design?

victor@pwnage:~/Aptana Studio 3 Workspace/rails$ rake rdoc
(snipped progress and error messages)

Generating Darkfish...
rake aborted!
could not find template "horo"

@tenderlove
Ruby on Rails member

@pwnall did you make sure to bundle update or bundle install first? It looks like you're missing the horo gem.

@tenderlove
Ruby on Rails member

Oops. I'm getting the same thing. :-(

@pwnall

For whatever it's worth, I tried bundle exec rake rdoc and still got the same error.

@fxn
Ruby on Rails member

Hey I will investigate this later.

@fxn
Ruby on Rails member

Could you guys pull and try again?

@pwnall

@fxn: It works now, thanks!

Please sign in to comment.
Something went wrong with that request. Please try again.